# Webcomponents Vue

Bibiloteca de componentes vue que encapsulam os [Web Components GovBR-DS](https://gov.br/ds/webcomponents).

## Instalação

Instale os pacotes abaixo:

```bash
npm install --save-dev @govbr-ds/core @govbr-ds-testing/webcomponents @govbr-ds-testing/webcomponents-vue
```

## Uso

<!-- ADD: adicionar "como" importar componentes separados -->

Inclua no `main.ts` (ou arquivo equivalente) da sua aplicação:

```typescript
import { ComponentLibrary } from '@govbr-ds-testing/webcomponents-vue'

import '@govbr-ds/core/dist/core.min.css'
```

O `core.min.css` é quem define os valores dos tokens de CSS usados.

## Estrutura de pastas e arquivos

```markdown
- vue
  - lib
    - stencil-generated
    - index.ts
    - plugin.ts
```

Ao gerar um build da biblioteca te Web Components os arquivos da pasta `lib/stencil-generated` são deletados e recriados. **Todas as alterações nesses arquivos vão ser perdidas ao gerar um novo build dos Web Components.**

O Arquivo `plugin.ts` registra os componentes como custom elements.

O Arquivo `index.ts` é o entry point da biblioteca e exporta os componentes.

## Build

Rode o comando `npm run build`.
